OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.OES.FixedPoint

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetOESFixedPoint :: MonadIO m => m Bool
- gl_OES_fixed_point :: Bool
- gl_FIXED_OES :: GLenum
- glAccumxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glAlphaFuncxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glBitmapxOES :: MonadIO m => GLsizei -> GLsizei -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> Ptr GLubyte -> m ()
- glBlendColorxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearAccumxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearColorxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glClearDepthxOES :: MonadIO m => GLfixed -> m ()
- glClipPlanexOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glColor3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glColor3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glColor4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glColor4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glConvolutionParameterxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glConvolutionParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glDepthRangexOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glEvalCoord1xOES :: MonadIO m => GLfixed -> m ()
- glEvalCoord1xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glEvalCoord2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glEvalCoord2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glFeedbackBufferxOES :: MonadIO m => GLsizei -> GLenum -> Ptr GLfixed -> m ()
- glFogxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glFogxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glFrustumxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glGetClipPlanexOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glGetConvolutionParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetFixedvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glGetHistogramParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetLightxOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetMapxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetMaterialxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glGetPixelMapxv :: MonadIO m => GLenum -> GLint -> Ptr GLfixed -> m ()
- glGetTexEnvxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetTexGenxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glGetTexLevelParameterxvOES :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLfixed -> m ()
- glGetTexParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glIndexxOES :: MonadIO m => GLfixed -> m ()
- glIndexxvOES :: MonadIO m => Ptr GLfixed -> m ()
- glLightModelxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glLightModelxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glLightxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glLightxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glLineWidthxOES :: MonadIO m => GLfixed -> m ()
- glLoadMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glLoadTransposeMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMap1xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> m ()
- glMap2xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> GLfixed -> GLint -> GLint -> GLfixed -> m ()
- glMapGrid1xOES :: MonadIO m => GLint -> GLfixed -> GLfixed -> m ()
- glMapGrid2xOES :: MonadIO m => GLint -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMaterialxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glMaterialxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glMultMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMultTransposeMatrixxOES :: MonadIO m => Ptr GLfixed -> m ()
- glMultiTexCoord1xOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glMultiTexCoord1xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord2xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord2xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord3xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord3xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glMultiTexCoord4xOES :: MonadIO m => GLenum -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glMultiTexCoord4xvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glNormal3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glNormal3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glOrthoxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glPassThroughxOES :: MonadIO m => GLfixed -> m ()
- glPixelMapx :: MonadIO m => GLenum -> GLint -> Ptr GLfixed -> m ()
- glPixelStorex :: MonadIO m => GLenum -> GLfixed -> m ()
- glPixelTransferxOES :: MonadIO m => GLenum -> GLfixed -> m ()
- glPixelZoomxOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glPointParameterxvOES :: MonadIO m => GLenum -> Ptr GLfixed -> m ()
- glPointSizexOES :: MonadIO m => GLfixed -> m ()
- glPolygonOffsetxOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glPrioritizeTexturesxOES :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLfixed -> m ()
- glRasterPos2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glRasterPos2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRasterPos3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glRasterPos3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRasterPos4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glRasterPos4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glRectxOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glRectxvOES :: MonadIO m => Ptr GLfixed -> Ptr GLfixed -> m ()
- glRotatexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glScalexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord1xOES :: MonadIO m => GLfixed -> m ()
- glTexCoord1xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord2xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glTexCoord2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord3xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexCoord4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> GLfixed -> m ()
- glTexCoord4xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glTexEnvxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexEnvxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTexGenxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexGenxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTexParameterxOES :: MonadIO m => GLenum -> GLenum -> GLfixed -> m ()
- glTexParameterxvOES :: MonadIO m => GLenum -> GLenum -> Ptr GLfixed -> m ()
- glTranslatexOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glVertex2xOES :: MonadIO m => GLfixed -> m ()
- glVertex2xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glVertex3xOES :: MonadIO m => GLfixed -> GLfixed -> m ()
- glVertex3xvOES :: MonadIO m => Ptr GLfixed -> m ()
- glVertex4xOES :: MonadIO m => GLfixed -> GLfixed -> GLfixed -> m ()
- glVertex4xvOES :: MonadIO m => Ptr GLfixed -> m ()

# Extension Support

glGetOESFixedPoint :: MonadIO m => m Bool

Is the OES_fixed_point extension supported?

gl_OES_fixed_point :: Bool

Is the OES_fixed_point extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESFixedPoint` in those cases instead.

# Enums

gl_FIXED_OES :: GLenum

# Functions

glAccumxOES

Arguments

:: MonadIO m |
=> GLenum | `op`.
-> GLfixed | `value`.
-> m () |

glAlphaFuncxOES

Arguments

:: MonadIO m |
=> GLenum | `func`.
-> GLfixed | `ref` of type `ClampedFixed`.
-> m () |

glBitmapxOES

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLfixed | `xorig`.
-> GLfixed | `yorig`.
-> GLfixed | `xmove`.
-> GLfixed | `ymove`.
-> Ptr GLubyte | `bitmap` pointing to `COMPSIZE(width,height)` elements of type `GLubyte`.
-> m () |

glBlendColorxOES

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearAccumxOES

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearColorxOES

Arguments

:: MonadIO m |
=> GLfixed | `red` of type `ClampedFixed`.
-> GLfixed | `green` of type `ClampedFixed`.
-> GLfixed | `blue` of type `ClampedFixed`.
-> GLfixed | `alpha` of type `ClampedFixed`.
-> m () |

glClearDepthxOES

Arguments

:: MonadIO m |
=> GLfixed | `depth` of type `ClampedFixed`.
-> m () |

glClipPlanexOES

Arguments

:: MonadIO m |
=> GLenum | `plane`.
-> Ptr GLfixed | `equation` pointing to `4` elements of type `GLfixed`.
-> m () |

glColor3xOES

Arguments

:: MonadIO m |
=> GLfixed | `red`.
-> GLfixed | `green`.
-> GLfixed | `blue`.
-> m () |

glColor3xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `components` pointing to `3` elements of type `GLfixed`.
-> m () |

glColor4xOES

Arguments

:: MonadIO m |
=> GLfixed | `red`.
-> GLfixed | `green`.
-> GLfixed | `blue`.
-> GLfixed | `alpha`.
-> m () |

glColor4xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `components` pointing to `4` elements of type `GLfixed`.
-> m () |

glConvolutionParameterxOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glConvolutionParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glDepthRangexOES

Arguments

:: MonadIO m |
=> GLfixed | `n` of type `ClampedFixed`.
-> GLfixed | `f` of type `ClampedFixed`.
-> m () |

glEvalCoord1xOES

Arguments

:: MonadIO m |
=> GLfixed | `u`.
-> m () |

glEvalCoord1xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glEvalCoord2xOES

Arguments

:: MonadIO m |
=> GLfixed | `u`.
-> GLfixed | `v`.
-> m () |

glEvalCoord2xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glFeedbackBufferxOES

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> GLenum | `type`.
-> Ptr GLfixed | `buffer` pointing to `n` elements of type `GLfixed`.
-> m () |

glFogxOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glFogxvOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glFrustumxOES

Arguments

:: MonadIO m |
=> GLfixed | `l`.
-> GLfixed | `r`.
-> GLfixed | `b`.
-> GLfixed | `t`.
-> GLfixed | `n`.
-> GLfixed | `f`.
-> m () |

glGetClipPlanexOES

Arguments

:: MonadIO m |
=> GLenum | `plane`.
-> Ptr GLfixed | `equation` pointing to `4` elements of type `GLfixed`.
-> m () |

glGetConvolutionParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetFixedvOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetHistogramParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetLightxOES

Arguments

:: MonadIO m |
=> GLenum | `light`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetMapxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `query`.
-> Ptr GLfixed | `v` pointing to `COMPSIZE(query)` elements of type `GLfixed`.
-> m () |

glGetMaterialxOES

Arguments

:: MonadIO m |
=> GLenum | `face`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glGetPixelMapxv

Arguments

:: MonadIO m |
=> GLenum | `map`.
-> GLint | `size`.
-> Ptr GLfixed | `values` pointing to `size` elements of type `GLfixed`.
-> m () |

glGetTexEnvxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexGenxvOES

Arguments

:: MonadIO m |
=> GLenum | `coord`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexLevelParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `level`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glGetTexParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glIndexxOES

Arguments

:: MonadIO m |
=> GLfixed | `component`.
-> m () |

glIndexxvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `component` pointing to `1` element of type `GLfixed`.
-> m () |

glLightModelxOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glLightModelxvOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glLightxOES

Arguments

:: MonadIO m |
=> GLenum | `light`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glLightxvOES

Arguments

:: MonadIO m |
=> GLenum | `light`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glLineWidthxOES

Arguments

:: MonadIO m |
=> GLfixed | `width`.
-> m () |

glLoadMatrixxOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glLoadTransposeMatrixxOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMap1xOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLint | `stride`.
-> GLint | `order`.
-> GLfixed | `points`.
-> m () |

glMap2xOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLint | `ustride`.
-> GLint | `uorder`.
-> GLfixed | `v1`.
-> GLfixed | `v2`.
-> GLint | `vstride`.
-> GLint | `vorder`.
-> GLfixed | `points`.
-> m () |

glMapGrid1xOES

Arguments

:: MonadIO m |
=> GLint | `n`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> m () |

glMapGrid2xOES

Arguments

:: MonadIO m |
=> GLint | `n`.
-> GLfixed | `u1`.
-> GLfixed | `u2`.
-> GLfixed | `v1`.
-> GLfixed | `v2`.
-> m () |

glMaterialxOES

Arguments

:: MonadIO m |
=> GLenum | `face`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glMaterialxvOES

Arguments

:: MonadIO m |
=> GLenum | `face`.
-> GLenum | `pname`.
-> Ptr GLfixed | `param` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glMultMatrixxOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMultTransposeMatrixxOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `m` pointing to `16` elements of type `GLfixed`.
-> m () |

glMultiTexCoord1xOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLfixed | `s`.
-> m () |

glMultiTexCoord1xvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glMultiTexCoord2xOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> m () |

glMultiTexCoord2xvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glMultiTexCoord3xOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> m () |

glMultiTexCoord3xvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glMultiTexCoord4xOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> GLfixed | `q`.
-> m () |

glMultiTexCoord4xvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glNormal3xOES

Arguments

:: MonadIO m |
=> GLfixed | `nx`.
-> GLfixed | `ny`.
-> GLfixed | `nz`.
-> m () |

glNormal3xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glOrthoxOES

Arguments

:: MonadIO m |
=> GLfixed | `l`.
-> GLfixed | `r`.
-> GLfixed | `b`.
-> GLfixed | `t`.
-> GLfixed | `n`.
-> GLfixed | `f`.
-> m () |

glPassThroughxOES

Arguments

:: MonadIO m |
=> GLfixed | `token`.
-> m () |

glPixelMapx

Arguments

:: MonadIO m |
=> GLenum | `map`.
-> GLint | `size`.
-> Ptr GLfixed | `values` pointing to `size` elements of type `GLfixed`.
-> m () |

glPixelStorex

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glPixelTransferxOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glPixelZoomxOES

Arguments

:: MonadIO m |
=> GLfixed | `xfactor`.
-> GLfixed | `yfactor`.
-> m () |

glPointParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glPointSizexOES

Arguments

:: MonadIO m |
=> GLfixed | `size`.
-> m () |

glPolygonOffsetxOES

Arguments

:: MonadIO m |
=> GLfixed | `factor`.
-> GLfixed | `units`.
-> m () |

glPrioritizeTexturesxOES

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `GLuint`.
-> Ptr GLfixed | `priorities` pointing to `n` elements of type `ClampedFixed`.
-> m () |

glRasterPos2xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> m () |

glRasterPos2xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glRasterPos3xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glRasterPos3xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glRasterPos4xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> GLfixed | `w`.
-> m () |

glRasterPos4xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glRectxOES

Arguments

:: MonadIO m |
=> GLfixed | `x1`.
-> GLfixed | `y1`.
-> GLfixed | `x2`.
-> GLfixed | `y2`.
-> m () |

glRectxvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `v1` pointing to `2` elements of type `GLfixed`.
-> Ptr GLfixed | `v2` pointing to `2` elements of type `GLfixed`.
-> m () |

glRotatexOES

Arguments

:: MonadIO m |
=> GLfixed | `angle`.
-> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glScalexOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glTexCoord1xOES

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> m () |

glTexCoord1xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `1` element of type `GLfixed`.
-> m () |

glTexCoord2xOES

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> m () |

glTexCoord2xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glTexCoord3xOES

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> m () |

glTexCoord3xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glTexCoord4xOES

Arguments

:: MonadIO m |
=> GLfixed | `s`.
-> GLfixed | `t`.
-> GLfixed | `r`.
-> GLfixed | `q`.
-> m () |

glTexCoord4xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |

glTexEnvxOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glTexEnvxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTexGenxOES

Arguments

:: MonadIO m |
=> GLenum | `coord`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glTexGenxvOES

Arguments

:: MonadIO m |
=> GLenum | `coord`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTexParameterxOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLfixed | `param`.
-> m () |

glTexParameterxvOES

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfixed | `params` pointing to `COMPSIZE(pname)` elements of type `GLfixed`.
-> m () |

glTranslatexOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glVertex2xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> m () |

glVertex2xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `2` elements of type `GLfixed`.
-> m () |

glVertex3xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> m () |

glVertex3xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `3` elements of type `GLfixed`.
-> m () |

glVertex4xOES

Arguments

:: MonadIO m |
=> GLfixed | `x`.
-> GLfixed | `y`.
-> GLfixed | `z`.
-> m () |

glVertex4xvOES

Arguments

:: MonadIO m |
=> Ptr GLfixed | `coords` pointing to `4` elements of type `GLfixed`.
-> m () |